package com.pcloud.common.core.dto;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * @Description：TODO
 * @Author：lixg
 * @Date：2018/6/11
 * @Version：1.0
 */
public class PromotionOrderDto implements Serializable {

    private static final long serialVersionUID = -1623699142861721119L;

    /**
     * 渠道ID
     */
    private Long channelId;

    /**
     * 公众号ID
     */
    private Long officialAccountId;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 唯一标识
     */
    private String uniqueNum;

    /**
     * 赠品list
     */
    private List<PromotionGiftDto> gifts;

    /**
     * 赠送到期
     */
    private Date giftExpire;

    public Long getOfficialAccountId() {
        return officialAccountId;
    }

    public void setOfficialAccountId(Long officialAccountId) {
        this.officialAccountId = officialAccountId;
    }

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<PromotionGiftDto> getGifts() {
        return gifts;
    }

    public void setGifts(List<PromotionGiftDto> gifts) {
        this.gifts = gifts;
    }

    public String getUniqueNum() {
        return uniqueNum;
    }

    public void setUniqueNum(String uniqueNum) {
        this.uniqueNum = uniqueNum;
    }

    public Date getGiftExpire() {
        return giftExpire;
    }

    public void setGiftExpire(Date giftExpire) {
        this.giftExpire = giftExpire;
    }

    @Override
    public String toString() {
        return "PromotionOrderDto{" +
                "channelId=" + channelId +
                ", officialAccountId=" + officialAccountId +
                ", userId=" + userId +
                ", uniqueNum='" + uniqueNum + '\'' +
                ", gifts=" + gifts +
                ", giftExpire=" + giftExpire +
                '}';
    }
}
